#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/types.h>

#define IOCTL_SAMPLE _IOWR(800, 0, int)

main(int argc, char ** argv)
{
    int i, fd, ret, buf;
    
    fd = open("/dev/testdev", 0);
    if(fd < 0)
    {
        printf("(%d) fail\n", __LINE__);
        exit(-1);
    }

    for(i = 0; i < 2; i++)
    {
        ret = ioctl(fd, IOCTL_SAMPLE, &buf);
        
        if(ret < 0)
        {
            printf("(%d) fail - %d\n", __LINE__, ret);
            break;
        }
        
        printf("Result: %d\n", buf);
    }

    close(fd);
}
